@charset "utf-8";
/* CSS Document */
* {
    box-sizing: border-box;
    font-family: 'Roboto Condensed', sans-serif;
}
a {
    text-decoration: none;
    color: #20d;
}
a:hover {
    text-decoration: underline;
}
a:visited {
    color: #20d;
}
.side-menu > a,
.side-menu > a:hover,
.side-menu > a:visited {
    text-decoration: none;
    color: black;
}
hr {
    border: 1px solid #cde;
    margin: 30px 0;
}
img {
    margin-bottom: 20px;
    width: 400px;
}
#overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    opacity: 1;
    background-color: #def;
    transition: opacity 0.15s;
}
h1 {
    font-family: 'Roboto Slab', serif;
    font-size: 30pt;
    line-height: 40px;
    margin: 0;
}
h2 {
    font-family: 'Roboto Slab', serif;
    margin-top: 0;
}
h3 {
    font-family: 'Roboto Slab', sans-serif;
    margin: 0;
}
h4 {
    font-family: 'Roboto Condensed', sans-serif;
    font-weight: normal;
    margin: 0;
}
p {
    text-align: justify;
}
.bold {
    font-weight: bold;
}
body {
    padding: 0;
    margin: 0;
    background-color: #def;
}
#header {
    margin: 0 auto;
    padding: 30px;
    width: 100%;
    max-width: 800px;
    text-align: center;
}
#container {
    margin: 0 auto;
    width: 100%;
    max-width: 800px;
    display: flex;
    flex-wrap: wrap;
}
.main {
    flex: 66%;
    padding: 20px;
    background-color: white;
    border-radius: 0 15px 15px 0;
    box-shadow: 5px 5px 8px #aaa;
}
.side-menu {
    display: flex;
    flex-direction: column;
    flex: 34%;
    padding: 20px;
    background-color: #cde;
    border-radius: 15px 0 0 15px;
    box-shadow: 5px 5px 8px #aaa;
}
.side-menu > * {
    margin-bottom: 5px;
    padding: 14px 10px;
    text-decoration: none;
    text-align: center;
    color: black;
    background-color: #bdcddd;
    border-radius: 4px;
    cursor: pointer;
}
.side-menu a:hover {
    background-color: #9ab;
    color: white;
}
.full {
    margin: 20px 0;
    flex: 100%;
    padding: 20px;
    background-color: white;
    border-radius: 15px;
    box-shadow: 5px 5px 8px #aaa;
}
.zde {
    font-weight: bold;
}
.zde::before, .zde::after {
    content: " — ";
}
input[type=text], input[type=date], input[type=password], select {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0 30px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    background-color: #eee;
    font-size: 14pt;
}
input[type=text]:focus, input[type=date]:focus, input[type=password], select:focus {
    background-color: white;
}
.button {
    width: 100%;
    background-color: #bdcddd;
    color: black;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 12pt;
}
.button:hover {
    background-color: #9ab;
    color: white;
}
.nedostupny:hover {
    cursor: not-allowed;
}
#errormsg {
    text-align: center;
    color: red;
}
/* PROGRAM GRID */
.container-program {
    width: 90%;
    display: grid;
    grid-template-columns: 20px 100px auto 20px;
    grid-template-rows: repeat(12, auto);
    row-gap: 15px;
}
.grid-title {
    grid-column: 2 / span 2;
}
.grid-time {
    grid-column: 2;
}
.grid-prog {
    grid-column: 3;
}

@media (max-width: 700px) {
    #container {
        flex-direction: column;
    }
    #container div {
        border-radius: 0;
        box-shadow: 0 0 0; 
    }
    .small-hide {
        display: none;
    }
}
/* DATA */
#data-container {
    margin: 0 auto;
    width: 90%;
}
table {
    width: 100%;
    border-collapse: collapse;
}
tr {
    border-bottom: 1px solid #aaa;
}
tr:hover {
    background-color: #eee;
}
th, td {
    padding: 5px;
    text-align: center;
}
thead:nth-child(1) {
    background-color: #ddf;
}
.pres_limit td {
    color: #aaa;
}
input[type=password] {
    width: 60% !important;
    padding: 5px 10px !important;
    text-align: center;
    margin: 8px 0 20px 0;
}
input[type=submit] {
    width: 60%;
    background-color: #bdcddd;
    color: black;
    padding: 8px 10px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 12pt;
}
input[type=submit]:focus {
    background-color: #9ab;
    color: white;
}
.partneri {
    width: 100%;
    text-align: center;
}
#btn_logout {
    display: block;
    position: absolute;
    left: 20px;
    top: 20px;
    padding: 10px;
    border-radius: 6px;
    background-color: #CCDDEE;
    text-decoration: none;
    color: black;
}
#btn_logout:hover {
    background: #bcd;
}
@media (max-width: 900px) {
    tr :nth-child(2), tr :nth-child(6), tr :nth-child(7), tr :nth-child(9) {
        display: none;
    }
}
@media (max-width: 650px) {
    tr :nth-child(2), :nth-child(4), tr :nth-child(6), tr :nth-child(7), :nth-child(8), tr :nth-child(9) {
        display: none;
    }
}